%define name speaker3
%define version 0.5
%define release 2mdk

Name:		%{name}
Summary:	A text to speech synthesizer for Konqueror
Version:	%{version}
Release:	%{release}
Url:		http://dogma.freebsd-uk.eu.org/~grrussel/speaker.html
Source0:	speaker-%{version}.tar.bz2
License:	GPL
Group: 		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	festival
BuildRequires:	libart_lgpl2-devel
BuildRequires:	libfam0-devel

%description 
This plugin for konqueror will read aloud webpages, or 
portions thereof, with the festival speech system.

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -n speaker3-0.1

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir

%make

%install 

%make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%_libdir/*
%_docdir/HTML/en/speaker3/
%_datadir/apps/khtml/kpartplugins/speaker3.rc
%_iconsdir/locolor/16x16/apps/*

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.5-2mdk
- rebuild

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Elliott Martin <elliott@pdx.edu> :
	- 0.1
